-------------------------------------------------------------------------------
--[[Control.lua]]
require ("config")

MOD = {}
MOD["name"] = "GunBelt"
MOD["IF"] = "GunBelt"
MOD["path"] = "__GunBelt__"

local gunbelt = require("gunbelt")
local Player = require("player")


-------------------------------------------------------------------------------
--[[Events]]

local function on_init()
  Player.init_all_players()
end
script.on_init(on_init)

local function on_load()
end
script.on_load(on_load)

local function on_configuration_changed()
end
script.on_configuration_changed(on_configuration_changed)

local function on_player_created(event)
  Player.init(event.player_index)
  gunbelt.init(event.player_index)
end
script.on_event(defines.events.on_player_created, on_player_created)

local function on_player_cursor_stack_changed(event) --luacheck: ignore
  -- local player, data = Player.get_data(event.player_index)
  -- local stack = Player.get_item_stack(player)
  -- if stack and stack.type == "gun" then game.print("GUN") end
end
script.on_event(defines.events.on_player_cursor_stack_changed, on_player_cursor_stack_changed)



remote.add_interface(MOD.IF, require("interface"))
