--luacheck: ignore GUNBELTCOUNT

if GUNBELTCOUNT > 1 then
data:extend({
  {
      type = "custom-input",
      name = "gun-belt-cycle",
      key_sequence = "CONTROL + G",
      consuming = "script-only"
  },
})


local gun_belt_controls = {}
for i = 1, GUNBELTCOUNT do
  -- Only create controls if more then 1 belt and 5 or less belts
  if (i > 5) then
    break
  end
  gun_belt_controls[i] = {
    type="custom-input",
    name="gun-belt-select-"..i,
    key_sequence = "CONTROL + SHIFT + "..i,
    consuming = "script-only",
  }
end
data:extend(gun_belt_controls)
end
